> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Platform Fees



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/fees/platform
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/fees/platform:
    get:
      tags:
        - fees
      summary: Get Platform Fees
      operationId: get_platform_fees__version__fees_platform_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: operation_type
          in: query
          required: true
          schema:
            enum:
              - COLLECTION
              - PAYOUT
              - TRANSFER
              - REFUND
            type: string
            title: Operation type (e.g. COLLECTION, PAYOUT)
        - name: fee_tier_name
          in: query
          required: true
          schema:
            type: string
            title: Fee tier name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeTierRateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FeeTierRateResponse:
      properties:
        id:
          type: integer
          title: Id
        operation_type:
          type: string
          title: Operation Type
        payment_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method
        percentage:
          type: string
          title: Percentage
        fx_percentage:
          type: string
          title: Fx Percentage
        fixed_fee:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Fixed Fee
          description: Amount
        fixed_fee_currency:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Fixed Fee Currency
        effective_from:
          type: string
          format: date-time
          title: Effective From
        effective_to:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Effective To
        created_at:
          type: string
          format: date-time
          title: Created At
        tier:
          anyOf:
            - $ref: '#/components/schemas/FeeTier'
            - type: 'null'
      type: object
      required:
        - id
        - operation_type
        - percentage
        - fx_percentage
        - effective_from
        - created_at
      title: FeeTierRateResponse
      description: FeeTierRateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeeTier:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        is_default:
          type: boolean
          title: Is Default
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - is_default
        - created_at
        - updated_at
      title: FeeTier
      description: >-
        Named platform fee plan.  Only one tier may have is_default=True (unique
        partial index). Falls back to the default tier when no merchant-specific
        tier is assigned.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````